---
layout: docs
page_title: plugin reload - Command
description: |-
  The "plugin reload" command reloads mounted plugins.
---

# plugin reload

The `plugin reload` command is used to reload mounted plugin backends. Either
the plugin name (`plugin`) or the desired plugin backend mounts (`mounts`)
must be provided, but not both. In the case that the plugin name is provided, all mounted paths that use that plugin backend will be reloaded.

## Examples

Reload a plugin by name:

```shell-session
$ vault plugin reload -plugin my-custom-plugin
Success! Reloaded plugin: my-custom-plugin
```

Reload an auth plugin by mount:

```shell-session
$ vault plugin reload \
  -mounts auth/my-custom-plugin-1 \
  -mounts auth/my-custom-plugin-2
Success! Reloaded mounts: [auth/my-custom-plugin-1/ auth/my-custom-plugin-2/]
```

Reload a secrets plugin by mount:

```shell-session
$ vault plugin reload \
  -mounts my-custom-plugin-1 \
  -mounts my-custom-plugin-2
Success! Reloaded mounts: [my-custom-plugin-1/ my-custom-plugin-2/]
```

## Usage

The following flags are available in addition to the [standard set of
flags](/vault/docs/commands) included on all commands.

### Command options

- `-plugin` `(string: "")` - The name of the plugin to reload, as registered in
  the plugin catalog.

- `-mounts` `(array: [])` - Array or comma-separated string mount paths of the
  plugin backends to reload.

- `-scope` `(string: "")` - The scope of the reload. For local reloads, omit this flag.
  For reloads that span multiple Vault clusters, use `global`.
